# ProviderViewModel

#### new Cesium.ProviderViewModel(options)
Widgets/BaseLayerPicker/ProviderViewModel.js 25

A view model that represents each item in the `BaseLayerPicker`.

Name | Type | Description
--- | --- | ---
`options` | Object | The object containing all parameters.
Name | Type | Description
--- | --- | ---
`name` | String | The name of the layer.
`tooltip` | String | The tooltip to show when the item is moused over.
`iconUrl` | String | An icon representing the layer.
`category` | String | optional A category for the layer.
`creationFunction` | ProviderViewModel.CreationFunction | Command | A function or Command that creates one or more providers which will be added to the globe when this item is selected.

##### See:

- BaseLayerPicker
- ImageryProvider
- TerrainProvider

### Members

#### readonly category : String
Widgets/BaseLayerPicker/ProviderViewModel.js 92

Gets the category

#### readonly creationCommand : Command
Widgets/BaseLayerPicker/ProviderViewModel.js 80

Gets the Command that creates one or more providers which will be added to the globe when this item is selected.

#### iconUrl : String
Widgets/BaseLayerPicker/ProviderViewModel.js 64

Gets the icon. This property is observable.

#### name : String
Widgets/BaseLayerPicker/ProviderViewModel.js 52

Gets the display name. This property is observable.

#### tooltip : String
Widgets/BaseLayerPicker/ProviderViewModel.js 58

Gets the tooltip. This property is observable.

### Type Definitions

#### Cesium.ProviderViewModel.CreationFunction() → ImageryProvider|TerrainProvider|Array.<ImageryProvider>|Array.<TerrainProvider>
Widgets/BaseLayerPicker/ProviderViewModel.js 99

A function which creates one or more providers.

##### Returns:

The ImageryProvider or TerrainProvider, or array of providers, to be added to the globe.